Package twisted :: Package coil :: Package plugins :: Module words :: Class WordsConfigurator

[show private | hide private]
[frames | no frames]

## Class WordsConfigurator

    Configurator --+
                   |
                  WordsConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring.
| `config_serviceName(self, name)`
| ``configDispensers`(self)` Return list of dispensers.
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)
| `makeIRCGateway(self)`
| `makeTendril(self)`
| `makeWebAccounts(self)`

Class Variable Summary
`str` | `configName`
`dict` | `configTypes`
`class` | `Service`

Method Details

### __init__(self, instance)
(Constructor)

Initialize this configurator with the instance it will be configuring.

  Overrides:
    `twisted.coil.coil.Configurator.__init__` (inherited documentation)

### configDispensers(self)

Return list of dispensers.

  Overrides:
    `twisted.coil.coil.Configurator.configDispensers` (inherited documentation)

Class Variable Details

### configName

  Type:
    `str`
  Value:

        'Twisted Words Service'

### configTypes

  Type:
    `dict`
  Value:

        {'serviceName': [<type 'str'>, 'Service Name', '']}

### Service

`Service` = `twisted.words.service.Service`

Generated by Epydoc 1.1 on Thu May 8 13:18:18 2003 | http://epydoc.sf.net